Get All Provider Mapped Users V2 Using GET

Get All Provider Mapped Users V2 Using GET

Get all Provider mapped Users

Request
URI
GET
https://{api_host}//lcm-15-95.eng.vmware.com/lcm/authzn/api/v2/users/provider
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns Array of UserDTO of type(s) application/json
[
    {
        "displayName": "string",
        "domain": "string",
        "isDisabled": false,
        "password": "string",
        "providerIdentifier": "string",
        "roleMappings": [
            {
                "roleDescription": "string",
                "roleName": "string",
                "vmid": "string"
            }
        ],
        "userMetadata": {
            "additionalMeta": [
                "string"
            ],
            "distinguishedName": "string",
            "emails": [
                "string"
            ],
            "externalId": "string",
            "familyName": "string",
            "givenName": "string"
        },
        "userPrincipalName": "string",
        "userType": "string",
        "username": "string",
        "vmid": "string"
    }
]

401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

404

Not Found

Returns GenericErrorResponseDTO of type(s) application/json
{
    "errorCode": "string",
    "errorLabel": "string",
    "message": "string",
    "recommendations": [
        "string"
    ],
    "status": "string"
}
string
errorCode
Optional

errorCode

string
errorLabel
Optional

errorLabel

string
message
Optional

message

array of string
recommendations
Optional

recommendations

string
status
Optional

status


500

Internal Server Error

Returns GenericErrorResponseDTO of type(s) application/json
{
    "errorCode": "string",
    "errorLabel": "string",
    "message": "string",
    "recommendations": [
        "string"
    ],
    "status": "string"
}
string
errorCode
Optional

errorCode

string
errorLabel
Optional

errorLabel

string
message
Optional

message

array of string
recommendations
Optional

recommendations

string
status
Optional

status